mscorlib 4.0.0.0 System.Object To be added.

In many scenarios, it is useful to enable a to represent an external asynchronous operation. is provided for this purpose. It enables the creation of a task that can be handed out to consumers, and those consumers can use the members of the task as they would any other. However, unlike most tasks, the state of a task created by a TaskCompletionSource is controlled explicitly by the methods on TaskCompletionSource. This enables the completion of the external asynchronous operation to be propagated to the underlying Task. The separation also ensures that consumers are not able to transition the state without access to the corresponding TaskCompletionSource. For more information, see the entry The Nature of TaskCompletionSource<TResult> in the Parallel Programming with .NET blog.

The Parallel Extensions samples also contain examples of how to use .

Represents the producer side of a unbound to a delegate, providing access to the consumer side through the property.

- Constructor
  4.0.0.0
  To be added.

  Creates a .

- Constructor
  4.0.0.0
  To be added.

  Creates a with the specified state.

  The state to use as the underlying 's AsyncState.
- Constructor
  4.0.0.0

  The created by this instance and accessible through its property will be instantiated using the specified .

  Creates a with the specified options.

  The options to use when creating the underlying .
- Constructor
  4.0.0.0
  To be added.

  Creates a with the specified state and options.

  The state to use as the underlying 's AsyncState.
  The options to use when creating the underlying .
- Method
  4.0.0.0
  System.Void To be added.

  Transitions the underlying into the state.

- Method
  4.0.0.0
  System.Void `` To be added.

  Transitions the underlying into the state.

  The collection of exceptions to bind to this .
- Method
  4.0.0.0
  System.Void `` To be added.

  Transitions the underlying into the state.

  The exception to bind to this .
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Threading.Tasks.Task<TResult> To be added.

  This property enables a consumer to access the that is controlled by this instance. When you create a object, the property of this object returns

  The , , , and methods (and their "Try" variants) on this instance all result in the relevant state transitions on this underlying Task.

  Gets the created by this .

- Method
  4.0.0.0
  System.Boolean

  This operation will return false if the is already in one of the three final states: , , or .

  This method also returns false if the underlying has already been disposed.

  Attempts to transition the underlying into the state.

  True if the operation was successful; false if the operation was unsuccessful or the object has already been disposed.

- Method
  4.0.0.0
  System.Boolean ``

  This operation will return false if the is already in one of the three final states: , , or .

  Attempts to transition the underlying into the state.

  True if the operation was successful; otherwise, false.

  The collection of exceptions to bind to this .
- Method
  4.0.0.0
  System.Boolean ``

  This operation will return false if the is already in one of the three final states: , , or .

  Attempts to transition the underlying into the state.

  True if the operation was successful; otherwise, false.

  The exception to bind to this .
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.